#!/usr/bin/env perl
#
# $Id$
#

# Copyright INRA

# Erika.Sallet@toulouse.inra.fr
# Thmoas.Schiex@toulouse.inra.fr
# Jerome.Gouzy@toulouse.inra.fr

# This software is governed by the CeCILL license under French law and
# abiding by the rules of distribution of free software.  You can  use,
# modify and/ or redistribute the software under the terms of the CeCILL
# license as circulated by CEA, CNRS and INRIA at the following URL
# "http://www.cecill.info".

# As a counterpart to the access to the source code and  rights to copy,
# modify and redistribute granted by the license, users are provided only
# with a limited warranty  and the software's author,  the holder of the
# economic rights,  and the successive licensors  have only  limited
# liability.

# In this respect, the user's attention is drawn to the risks associated
# with loading,  using,  modifying and/or developing or reproducing the
# software by the user in light of its specific status of free software,
# that may mean  that it is complicated to manipulate,  and  that  also
# therefore means  that it is reserved for developers  and  experienced
# professionals having in-depth computer knowledge. Users are therefore
# encouraged to load and test the software's suitability as regards their
# requirements in conditions enabling the security of their systems and/or
# data to be ensured and,  more generally, to use and operate it in the
# same conditions as regards security.

# The fact that you are presently reading this means that you have had
# knowledge of the CeCILL license and that you accept its terms.
 
#

=head1 NAME

=head1 SYNOPSIS

=head1 DESCRIPTION

=cut

BEGIN
{
    $ENV{LANG} = "C";
}

use FindBin;
use lib "$FindBin::Bin/../../lib/";
use lib "$FindBin::Bin/../../corelib/"; 
use lib "$FindBin::Bin/../../lib/BioFileConverter/";

MAIN:
{
	if ( !defined($ENV{EUGENEDIR}) || !defined($ENV{EGNPP}) )
	{
		print STDERR "unset EUGENEDIR or EGNPP environment variables.\n";
		exit(1);
	}

	#perl
	my @a_use = `grep ^use $ENV{EGNPP}/bin/int/*.pl $ENV{EGNPP}/bin/ext/*.pl $ENV{EGNPP}/lib/*p? $ENV{EGNPP}/corelib/*p?`;
	chomp(@a_use);
	my %h_deja=();
	my $perl_err = 0;
	foreach my $dep (@a_use)
	{
		my ($mod)= $dep =~ /use\s+([\w\:]+)/;
		next if ($mod=~/^constant/);
		next if ($mod=~/^\d+/);
		#print "$mod $dep\n" if ( ! defined($h_deja{$mod}) );
		$h_deja{$mod}=1;
		eval "use $mod;";
		if ( $@ ne "" )
		{
			printf STDERR ("EGNPP ERROR: perl module %20s  ",$mod);
			print STDERR "not found, please fix and rerun\n";
			$perl_err++;
		}
	}
	if ( $perl_err == 0 )
	{
		print STDERR "Required perl modules found\n";
	}
}


sub Usage
{
}

